Bug 41795 - Generated documentation includes "returns" tag for void methods
Summary: Generated documentation includes "returns" tag for void methods
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Text Editor (show other bugs)
Version: 6.1.0 (C8)
Hardware: Macintosh Mac OS
: Low normal
Target Milestone: C7SR1
Assignee: Mike Krüger
URL:
Depends on:
Blocks:
 
Reported: 2016-06-14 12:31 UTC by Antoine Cailliau
Modified: 2016-07-07 13:54 UTC (History)
4 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Antoine Cailliau 2016-06-14 12:31:04 UTC
When generating the documentation (using /// in the text editor), Xamarin Studio generates "returns" tag for void methods.

For example, 

public void SetSpeed (RiverSpeed speed)
{
	// ...
}

generates the following documentation:

/// <summary>
/// Sets the speed.
/// </summary>
/// <returns>The speed.</returns>
/// <param name="speed">Speed.</param>

The returns tag is not expected.
Comment 1 xamarin-release-manager 2016-06-14 12:53:06 UTC
Fixed in version 6.1.0.4646 (master)

Author: Mike Kr??ger
Commit: b179aa8eb553a2d977d274370ca6055817d2a60f (mono/monodevelop)
Comment 2 Antoine Cailliau 2016-06-14 13:04:38 UTC
Thank you, and have a good day!
Comment 3 xamarin-release-manager 2016-06-14 14:18:05 UTC
Fixed in version 6.0.2.10 (cycle7)

Author: Lluis Sanchez
Commit: 9645bab697dffacdc33ece68a1aade64b8643975 (mono/monodevelop)
Comment 4 xamarin-release-manager 2016-06-15 18:46:25 UTC
Fixed in version 6.0.2.19 (cycle7-app-insights-rebased)

Author: Lluis Sanchez
Commit: 9645bab697dffacdc33ece68a1aade64b8643975 (mono/monodevelop)
Comment 6 Sunil Kumar 2016-07-07 13:54:59 UTC
I have checked this issue with latest cycle 7 XamarinStudio-6.0.2.51_0cca811d73797f2a4f5ae198f79896fa75b5d823 and observed this now this issue works fine as shown in screencast: http://www.screencast.com/t/ouY5ofWU

Hence closing this issue marking its status as VERIFIED.

Environment info:
https://gist.github.com/sunil360/9a051a24929bdec401c7ae9580c4fdc0